#!/bin/bash

touch ./build_fail.log
rm ./build_fail.log
touch ./last_build.log
rm ./failed_packages.log
touch ./failed_packages.log

N=`wc -l ./ros-pkglist | sed -e 's/ \.\/ros-pkglist//i'` 
i=0
for pk_dir in `cat ros-pkglist`; do
	cd ./$pk_dir
	i=$(($i+1))
	echo "Package $i/$N: $pk_dir"
	if [[ -z "`ls | grep tar.xz`" ]]; then  
		touch build.log
		unlink ../last_build.log
		ln -s ./$pk_dir/build.log ../last_build.log 
		makepkg -f >./build.log 2>&1 
		if [[ -n "`ls | grep tar.xz`" ]]; then  
			sudo yaourt -U --noconfirm ./*.tar.xz
			echo "   Built (and probably installed)"
		else
			echo $pk_dir >> ../failed_packages.log
			echo "   Build failed"
			cat build.log
			#exit;
			echo "Package:$pk_dir build failed\n" >> ../build_fail.log
			cat build.log >> ../build_fail.log
			echo "\n=======================================================\n"  >> ../build_fail.log
		fi;
	else
		echo "    Already built"
	fi;
	cd ..
done;
f=`wc -l ./failed_packages.log | sed -e 's/ \.\/failed_packages.log//i'`
echo "$f of $N packages failed"
